{{define "hello"}}
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
	<head>
		<title>HTML from Server {{.servernum}}!</title>
		<script language="javascript" type="text/javascript" src="static/js/showCookie.js"></script>
		<link rel="stylesheet" type="text/css" media="screen" href="static/{{.servernum}}{{.secure}}/css/global.css" />
	</head>
	<body onload="javascript:if (document.cookie) showCookieLink()">
		<div id="homeheadercontainer">
			<div id="homeheader"><img src="static/images/F5-PNG-Logo.png" height="45" width="50" align="left" hspace="20" alt="F5 logo" />
				<p>F5 Web Server</p>
			</div>
		</div>

		<div id="serverareacontainer" style="background: rgb({{.serverbackground}});">
			<div id="serverarea" style="background: rgb({{.serverbackground}});">
				<p>{{.accesstype}} to {{.vsname}}</p>
			</div>
		</div>

		<div id="maincontainer" style="background: rgb({{.mainbackground}}) url(/static/{{.servernum}}{{.secure}}/images/main.png) top center no-repeat;">
			<div id="infooverlay">
				<p>HTML served from Server {{.servernum}} ({{.server}})</p>
				<p>Client: <b>{{.client}}</b></p>
				{{- if .xffpresent }}<p>X-Forwarded-For is: <b>{{.xffip}}</b></p>{{end -}}

				<div id="CookieLink" style="display: none; padding: 10px 25px 25px 25px; font-family: Arial, sans-serif; font-size: 16px; color: #333333;"><a href="test.php" style="color: #ffffff;" onclick="alert('Cookie = ' + document.cookie); return false;"><b>Display Cookie</b></a></div>
			</div>
		</div>

		<!-- Display the three JPGs -->
		<div id="imageboxcontainer">
			<div id="imageboxholder">
				<div id="imagebox"><img src="static/{{.servernum}}/images/askf5.jpg" border="0" width="225" />
					<p><a href="http://www.askf5.com/" target="_blank" style="color: #333333;">Askf5.com</a></p>
				</div>
				<div id="imagebox"><img src="static/{{.servernum}}/images/ihealth.jpg" border="0" width="225" />
					<p><a href="https://ihealth.f5.com/" target="_blank" style="color: #333333;">iHealth</a></p>
				</div>
				<div id="imagebox"><img src="static/{{.servernum}}/images/dc.jpg" border="0" width="225" />
					<p><a href="https://devcentral.f5.com/" target="_blank" style="color: #333333;">DevCentral</a></p>
				</div>
			</div>
		</div>

		<!-- Display HTTP request header -->
		<div id="textareacontainer">
			<div id="textareaholder">
				<h1>Your HTTP request</h1>
				<p>
				<b>{{ .method }}</b> {{ .url }} {{ .proto }}</br>
				<b>Host</b>: {{ .host }}</br>
				{{- range $key, $value := .headers }}
				{{- range $index, $header := $value }}
				<b>{{ $key }}</b>: {{ $header }}</br>
				{{- end }}
				{{- end }}
				</p>
			</div>
		</div>

		<!-- Display footer1 -->
		<div id="footercontainer">
			<div id="footerholder">
				<h1>F5 Web Server</h1>
			</div>
		</div>

		<!-- Display footer2 -->
		<div id="bottomcontainer">
			<div id="bottomholder">
				<a href="http://twitter.com/f5networks" title="Twitter"><img src="static/images/twitter_logo.png" border="0" height="40" width="40" /></a>
				<a href="http://www.facebook.com/f5networksinc" title="Facebook"><img src="static/images/facebook_logo.png" border="0" height="40" width="40" /></a>
				<a href="http://www.linkedin.com/company/f5-networks" title="Twitter"><img src="static/images/linkedin_logo.png" border="0" height="40" width="40" /></a>
				<a href="https://www.youtube.com/f5networksinc" title="YouTube"><img src="static/images/youtube_logo.png" border="0" height="40" width="40" /></a>
			</div>
		</div>
	</body>
</html>
{{end}}